> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get candidate info for case

> Retrieves information about the candidate associated with the case.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /candidate/info/case/id/{caseId}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /candidate/info/case/id/{caseId}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The identifier of a case.
    get:
      tags:
        - Cases
      summary: Get candidate info for case
      description: Retrieves information about the candidate associated with the case.
      operationId: get-candidate-info-case-id-caseId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    candidate:
                      id: 9b766aef-be7f-4844-8b46-be7b53f74bf9
                      email: better_than_jim_halpert@gmail.com
                      password: '########'
                      givenName: Dwight
                      familyName: Schrute
                      govtId: XXX-XX-3333
                      phone: '+15702025821'
                      dob: '1966-01-20'
                      piiValidated: false
                      piiLocked: 1
                      enabled: true
                      crStamp: '2022-02-07T20:37:21.000+00:00'
                      modStamp: '2022-07-07T17:48:23.000+00:00'
                      secured: 1
                      candidateId: 9b766aef-be7f-4844-8b46-be7b53f74bf9
                      username: better_than_jim_halpert@gmail.com
                      accountNonExpired: true
                      accountNonLocked: true
                      credentialsNonExpired: true
                      fullName: Dwight Schrute
                required:
                  - candidate
                properties:
                  candidate:
                    type: object
                    required:
                      - id
                      - email
                      - password
                      - givenName
                      - familyName
                      - fullName
                      - dob
                      - piiValidated
                      - piiLocked
                      - enabled
                      - crStamp
                      - modStamp
                      - secured
                      - candidateId
                      - username
                      - accountNonExpired
                      - accountNonLocked
                      - credentialsNonExpired
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                        format: email
                      password:
                        type: string
                        description: An obfuscated password.
                        example: '########'
                      givenName:
                        type: string
                      middleName:
                        type: string
                      familyName:
                        type: string
                      fullName:
                        type: string
                      govtId:
                        type: string
                        description: >-
                          The candidate's Social Security number, which is
                          obfuscated except for last 4 digits.
                        example: XXX-XX-3333
                      phone:
                        type: string
                      dob:
                        type: string
                        format: date
                        example: '1987-01-30'
                      piiValidated:
                        type: boolean
                      piiLocked:
                        type: integer
                        enum:
                          - 1
                          - 0
                        description: A boolean integer.
                      enabled:
                        type: boolean
                      crStamp:
                        type: string
                        format: date-time
                        example: '2024-07-22T23:48:24.000+00:00'
                      modStamp:
                        type: string
                        format: date-time
                        example: '2024-07-23T01:34:00.000+00:00'
                      secured:
                        type: integer
                        enum:
                          - 1
                          - 0
                        description: A boolean integer.
                      candidateId:
                        type: string
                      username:
                        type: string
                      accountNonExpired:
                        type: boolean
                      accountNonLocked:
                        type: boolean
                      credentialsNonExpired:
                        type: boolean
              examples:
                Example 1:
                  value:
                    candidate:
                      id: dfb411b1-ab2e-4076-9a22-9f2fda30b365
                      email: dani@example.com
                      password: '########'
                      givenName: Dani
                      familyName: Garcia
                      middleName: A.
                      govtId: XXX-XX-3333
                      phone: '+18005550126'
                      dob: '1995-05-04'
                      piiValidated: false
                      piiLocked: 1
                      enabled: true
                      crStamp: '2024-03-06T20:05:09.000+00:00'
                      modStamp: '2024-03-13T21:46:38.000+00:00'
                      secured: 0
                      credentialsNonExpired: true
                      accountNonExpired: true
                      accountNonLocked: true
                      candidateId: dfb411b1-ab2e-4076-9a22-9f2fda30b365
                      username: dani@example.com
                      fullName: Dani A. Garcia
        '403':
          description: Forbidden
        '404':
          description: >-
            The `caseId` provided is not associated with a case, or no candidate
            has been linked to the case yet.


            The latter scenario most likely means that for candidate onboarding
            cases, the candidate has not yet begun onboarding. For customer PII
            entry cases, a candidate might already exist under the email used,
            but other PII has mismatched.
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````